<?php

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=kardex.xls");
header("Pragma: no-cache");
header("Expires: 0");
include "../conexion.php";
$id=$_REQUEST["producto"];
$cantidadv_P="";$sumaentradatotal=0;$sumasalidatotal=0;$sumaventatotal=0;$color="";$saldototal=0;
  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto where id='".$id."'");
 while($datos= mysqli_fetch_row($sql_datosrs)){ $contar=$datos[0];}
  if($contar>=1)
  {
	echo "<center> <table width='100%' border='1'  cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo "<td>Nombre</td>";
	echo "<td>Descripcion</td>";
	echo "<td>Precio Unitario</td>";
	echo "<td>Precio Venta</td>";
	echo "<td>Linea/Grupo</td>";
	echo "<td>Marca</td>";
	echo "<td>Iva</td>";
	echo "<td>Codigo Barra</td>";
	echo "<td>Estado</td>";
	echo "</tr>";	
	$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,
							  marca,iva,codigobarra,estado,paqueteunidad,cantidadpaquete,linea,grupo
							  from producto where id='".$id."'");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $descripcion=$datos[2];
		   $preciounitario=$datos[3];
		   $precioventa=$datos[4];
		   $productofamilia=$datos[5];
		   $marca=$datos[6];
		   $iva=$datos[7];
		   $codigobarra=$datos[8];
		   $estado=$datos[9];
		   $paqueteunidad=$datos[10];
		   $cantidadpaquete=$datos[11];
		   $linea=$datos[12];
		   $grupo=$datos[13];
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		   
		   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
		   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
		   
		   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
		   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
		  
		   $rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where id='".$marca."'");
		   while($datosrs= mysqli_fetch_row($rs_marca)){ $nmarca=$datosrs[1];}
			
			echo " <tr >";										  
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$descripcion."</td>";
					 echo "<td>".$preciounitario."</td>";
					 echo "<td>".$precioventa."</td>";
					 echo "<td>".$nlinea."<br>$ngrupo</td>";
					 echo "<td>".$nmarca."</td>";
					 echo "<td>".$iva."</td>";
					 echo "<td>".$codigobarra."</td>";
					 echo "<td>".$nestado."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	  echo "</table></center>";
	

// reporte de kardex
	  $sql_insert=mysqli_query($conexion,"delete from tmp_fecha_kardex");

	 $sql_datos=mysqli_query( $conexion,"SELECT year(fechaingreso) as anoingreso,month(fechaingreso) as mesingreso
							 from inventario
							 where producto='".$id."'");
	while($datos= mysqli_fetch_row($sql_datos))//01
		{     
				 $rs_nuevaventa=mysqli_query($conexion,"SELECT count(*) as contar FROM tmp_fecha_kardex where ano='".$datos[0]."' and mes='".$datos[1]."'");
				 while($datosrs= mysqli_fetch_row($rs_nuevaventa)){ $contar=$datosrs[0];}
				if($contar>=1){}
				else	
				 {$sql_insert=mysqli_query($conexion,"insert into tmp_fecha_kardex  (ano,mes)
												 values ('".$datos[0]."','".$datos[1]."')");
				}								 
		}


	 $sql_fecha=mysqli_query($conexion, "SELECT ano,mes
							 from tmp_fecha_kardex order by ano,mes asc");
		$c=1;$sumaentrada=0;$sumasalida=0;$sumaventa=0;$sumatotalv=0;
	while($fecha= mysqli_fetch_row($sql_fecha))//01
		{    
		  $ano=$fecha[0];$mes=$fecha[1];
			echo "<br><center> <table width='100%' border='1'  cellpadding='0' cellspacing='0' >";
			echo "<tr class='backgndtr'>";
			echo "<td >Periodo</td>";			
			echo "<td >Saldo</td>";
			echo "<td >Entrada</td>";
			echo "<td >Salida</td>";
			echo "<td >Total Venta</td>";
								
			echo "</tr>";
			if($paqueteunidad=='PU'){$paqueteunidad='P';}
			$paqueteunidadU='U';$paqueteunidadP='P';
			
		   $sql_datos=mysqli_query($conexion,"SELECT sum(cantidad) from inventario 
		   						   where producto='".$id."'
								   and year(fechaingreso)='".$ano."' and month(fechaingreso)='".$mes."'");
			 $saldolleva=0;
			while($datos= mysqli_fetch_row($sql_datos))//01
				{   
					$cantidad=$datos[0];
					
					if($c%2==0){$color="#EAEAEA";}
					else {$color="#BFBFBF";}

					 //sacamos ventas de unidad
					 if($paqueteunidadU=='U')
					   {
						  $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
													 where year(fecha)='".$ano."' and month(fecha)='".$mes."'
													 and producto='".$id."' and estado='F' and paqueteunidad='U'");
						 while($datosrs= mysqli_fetch_row($sql_datosventas)){ $cantidadv=$datosrs[0]; $total=$datosrs[1];}
						 $sumaventa=$sumaventa+$cantidadv;
						 $sumatotalv=$sumatotalv+$total;
					   }	
					   				 
					 //sacamos ventas de paquete
					 if($paqueteunidadP=='P')
					   {
						 $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
													   where year(fecha)='".$ano."' and month(fecha)='".$mes."'
													   and producto='".$id."' and estado='F' and paqueteunidad='P'");
						 while($datosrs= mysqli_fetch_row($sql_datosventas)){ $cantidadv_P=$datosrs[0]; $total=$datosrs[1];}
						 //sacamos la cantidad de unidades por venta de producto unidad
						 $cantidadv=$cantidadpaquete*$cantidadv_P;
						 $sumaventa=$sumaventa+$cantidadv;
						 $sumatotalv=$sumatotalv+$total;
					   }
					 
					 //$sumaventa=$sumaventa+$cantidadv;
					 $sumaentrada=$sumaentrada+$cantidad;
					 if($c==1)
					   {
					    $saldoinical=$cantidad-$sumaventa;
						$saldototal=$saldoinical;
					   }
					 else
					   {
					    $saldomnes=$cantidad-$sumaventa;
						$saldototal=$saldototal+$saldomnes;
					   }
					   
					 echo "<tr >
							  <td width='20%'><div align='center'>".$ano." - ".$mes."</div></td>
							  <td width='20%' bgcolor=$color><div align='right'>$saldototal</div></td>							  
							  <td width='20%' bgcolor=$color><div align='right'>$cantidad</div></td>
							  <td width='20%' bgcolor=$color><div align='right'>$sumaventa</div></td>
							  <td width='20%' bgcolor=$color><div align='right'>".$sumatotalv."</div></td>";
							echo"</tr>";
							$c=$c+1;
							
							$sumaentradatotal=$sumaentradatotal+$cantidad;
							$sumasalidatotal=$sumasalidatotal+$sumaventa;
							$sumaventatotal=$sumaventatotal+$sumatotalv;
							
			 }//01
				 echo "</table></center>"; 
		}
							
							echo "<br><center> <table width='100%' border='1' bordercolor='#ffffff' cellpadding='0' cellspacing='0'>";
							 echo "<tr >
							  <td width='20%' bgcolor='#ffffcc'><div align='center'>Total General</div></td>
							  <td width='20%' bgcolor='#ffffcc'><div align='right'>$saldototal</div></td>							  
							  <td bgcolor='#ffffcc' width='20%'><div align='right'>$sumaentradatotal</div></td>
							  <td bgcolor='#ffffcc' width='20%'><div align='right'>$sumasalidatotal</div></td>
							  <td bgcolor='#ffffcc' width='20%'><div align='right'>".$sumaventatotal."</div></td> ";
							echo"</tr>";
							echo "</table></center>"; 
} 


?>